Commit 274ea268 authored by philm's avatar philm
Browse files

sdl: reenable esd

xine-lib: add pulse support
parent 35f27880
......@@ -6,7 +6,7 @@
pkgname=sdl
pkgver=1.2.15
pkgrel=2
pkgrel=3
pkgdesc="A library for portable low-level access to a video framebuffer, audio output, mouse, and keyboard"
arch=('i686' 'x86_64')
url="http://www.libsdl.org"
......@@ -25,7 +25,7 @@ build() {
cd ${srcdir}/SDL-${pkgver}
patch -Np1 -i $srcdir/sdl-1.2.14-fix-mouse-clicking.patch
patch -Np1 -i $srcdir/sdl-1.2.14-disable-mmx.patch
./configure --prefix=/usr --disable-nasm --enable-alsa \
./configure --prefix=/usr --disable-nasm --enable-alsa --enable-esd \
--with-x --disable-rpath --disable-static
make
}
......
......@@ -6,7 +6,7 @@
pkgname=xine-lib
pkgver=1.2.1
pkgrel=3
pkgrel=4
pkgdesc="A multimedia playback engine"
arch=('i686' 'x86_64')
url="http://www.xine-project.org"
......@@ -14,7 +14,7 @@ license=('LGPL' 'GPL')
depends=('libxvmc' 'ffmpeg' 'libxinerama')
makedepends=('wavpack' 'faad2' 'libmng' 'imagemagick' 'mesa' 'libmodplug'
'vcdimager' 'jack' 'aalib' 'libdca' 'a52dec' 'libmad'
'libmpcdec' 'libcaca' 'libbluray' 'libvdpau')
'libmpcdec' 'libcaca' 'libbluray' 'libvdpau' 'libpulse')
optdepends=('imagemagick: for using the imagemagick plugin' \
'jack: for using the jack plugin' \
'vcdimager: for using the vcd plugin' \
......@@ -30,7 +30,8 @@ optdepends=('imagemagick: for using the imagemagick plugin' \
'libmpcdec: for using the musepack plugin' \
'libcaca: for using the caca plugin' \
'libbluray: for using the bluray plugin' \
'libvdpau: for using the VDPAU plugin')
'libvdpau: for using the VDPAU plugin'
'libpulse: for using the pulse plugin')
options=('!libtool')
source=(http://downloads.sourceforge.net/sourceforge/xine/${pkgname}-${pkgver}.tar.xz)
sha1sums=('ebb2648456504ff4ce08c34de258d3125832bb94')
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment